curl --request GET \
--url 'https://crm.wavups.com/api/v1/account-crm-pipeline-deal/cmsnopzzl002l01ukfjsxp80a' \
--header 'Token: SEU_TOKEN_DE_API'
{
"id": "cmsnopzzl002l01ukfjsxp80a",
"stageId": "cmkfy4kdk0009y0c1qx9fgumt",
"leadId": "cmsncjkqw0bzx0hll2lv5i34a",
"dealOwner": "cmuser0012345",
"title": "Gabriel Cerrini (GC)",
"description": "Proposta de consultoria e software",
"value": 1350.0,
"status": "open",
"type": "Serviço",
"nextAction": "Apresentar proposta comercial",
"source": "whatsapp",
"probability": 70,
"order": 0,
"expectedClose": "2026-09-15T00:00:00.000Z",
"wonAt": null,
"lostAt": null,
"createdAt": "2026-08-10T20:29:21.393Z",
"AccountCRMLead": {
"id": "cmsncjkqw0bzx0hll2lv5i34a",
"name": "Gabriel Cerrini (GC)",
"email": "gabriel@email.com",
"phone": "+5511999998888"
},
"AccountUser": {
"id": "cmuser0012345",
"User": {
"name": "Vendedor Proativia",
"email": "vendedor@empresa.com"
}
},
"AccountCRMPipelineStage": {
"id": "cmkfy4kdk0009y0c1qx9fgumt",
"name": "1ºContato",
"pipelineId": "cmkfy4k700008y0c1phx38422"
},
"accountCRMPipelineDealProductAssignments": [
{
"id": "cpassign001",
"accountProductId": "cmprod001",
"quantity": 1,
"discount": 10,
"discountType": "PERCENTAGE",
"totalPrice": 1350.0,
"createdAt": "2026-08-10T20:29:21.400Z",
"AccountProduct": {
"id": "cmprod001",
"name": "Plano Anual Consultoria",
"price": 1500.0,
"description": "Consultoria continuada para vendas"
}
}
]
}
{
"error": "Account CRM pipeline deal not found"
}
{
"error": "Error to get account CRM pipeline deal"
}
Negócios do Pipeline
Obter Negócio do Pipeline
Retorna os detalhes de um negócio do pipeline de CRM pelo seu ID, incluindo seus relacionamentos e produtos vinculados.
GET
/
account-crm-pipeline-deal
/
{id}
curl --request GET \
--url 'https://crm.wavups.com/api/v1/account-crm-pipeline-deal/cmsnopzzl002l01ukfjsxp80a' \
--header 'Token: SEU_TOKEN_DE_API'
{
"id": "cmsnopzzl002l01ukfjsxp80a",
"stageId": "cmkfy4kdk0009y0c1qx9fgumt",
"leadId": "cmsncjkqw0bzx0hll2lv5i34a",
"dealOwner": "cmuser0012345",
"title": "Gabriel Cerrini (GC)",
"description": "Proposta de consultoria e software",
"value": 1350.0,
"status": "open",
"type": "Serviço",
"nextAction": "Apresentar proposta comercial",
"source": "whatsapp",
"probability": 70,
"order": 0,
"expectedClose": "2026-09-15T00:00:00.000Z",
"wonAt": null,
"lostAt": null,
"createdAt": "2026-08-10T20:29:21.393Z",
"AccountCRMLead": {
"id": "cmsncjkqw0bzx0hll2lv5i34a",
"name": "Gabriel Cerrini (GC)",
"email": "gabriel@email.com",
"phone": "+5511999998888"
},
"AccountUser": {
"id": "cmuser0012345",
"User": {
"name": "Vendedor Proativia",
"email": "vendedor@empresa.com"
}
},
"AccountCRMPipelineStage": {
"id": "cmkfy4kdk0009y0c1qx9fgumt",
"name": "1ºContato",
"pipelineId": "cmkfy4k700008y0c1phx38422"
},
"accountCRMPipelineDealProductAssignments": [
{
"id": "cpassign001",
"accountProductId": "cmprod001",
"quantity": 1,
"discount": 10,
"discountType": "PERCENTAGE",
"totalPrice": 1350.0,
"createdAt": "2026-08-10T20:29:21.400Z",
"AccountProduct": {
"id": "cmprod001",
"name": "Plano Anual Consultoria",
"price": 1500.0,
"description": "Consultoria continuada para vendas"
}
}
]
}
{
"error": "Account CRM pipeline deal not found"
}
{
"error": "Error to get account CRM pipeline deal"
}
Requisição
GET https://crm.wavups.com/api/v1/account-crm-pipeline-deal/{id}
string
required
Seu token de autenticação.
string
required
ID do negócio a ser consultado.
Resposta
Retorna o objeto completo do negócio com todos os relacionamentos e produtos vinculados.string
Identificador único do negócio.
string
ID do estágio vinculado.
string | null
ID do lead vinculado.
string | null
ID do usuário responsável.
string
Título do negócio.
string | null
Descrição detalhada do negócio.
number | null
Valor total estimado do negócio.
string
Status do negócio (ex:
open, won, lost).string | null
Tipo do negócio.
string | null
Próxima ação prevista.
string | null
Origem do negócio.
number
Probabilidade de fechamento em percentual.
number
Posição de ordenação.
string | null
Data prevista de fechamento (ISO 8601).
string | null
Data de ganho do negócio (ISO 8601).
string | null
Data de perda do negócio (ISO 8601).
string
Data de criação (ISO 8601).
object | null
Dados do lead associado ao negócio.
object | null
Dados do responsável pelo negócio.
object
Dados do estágio do pipeline.
array
Produtos vinculados ao negócio.
Exemplos
curl --request GET \
--url 'https://crm.wavups.com/api/v1/account-crm-pipeline-deal/cmsnopzzl002l01ukfjsxp80a' \
--header 'Token: SEU_TOKEN_DE_API'
{
"id": "cmsnopzzl002l01ukfjsxp80a",
"stageId": "cmkfy4kdk0009y0c1qx9fgumt",
"leadId": "cmsncjkqw0bzx0hll2lv5i34a",
"dealOwner": "cmuser0012345",
"title": "Gabriel Cerrini (GC)",
"description": "Proposta de consultoria e software",
"value": 1350.0,
"status": "open",
"type": "Serviço",
"nextAction": "Apresentar proposta comercial",
"source": "whatsapp",
"probability": 70,
"order": 0,
"expectedClose": "2026-09-15T00:00:00.000Z",
"wonAt": null,
"lostAt": null,
"createdAt": "2026-08-10T20:29:21.393Z",
"AccountCRMLead": {
"id": "cmsncjkqw0bzx0hll2lv5i34a",
"name": "Gabriel Cerrini (GC)",
"email": "gabriel@email.com",
"phone": "+5511999998888"
},
"AccountUser": {
"id": "cmuser0012345",
"User": {
"name": "Vendedor Proativia",
"email": "vendedor@empresa.com"
}
},
"AccountCRMPipelineStage": {
"id": "cmkfy4kdk0009y0c1qx9fgumt",
"name": "1ºContato",
"pipelineId": "cmkfy4k700008y0c1phx38422"
},
"accountCRMPipelineDealProductAssignments": [
{
"id": "cpassign001",
"accountProductId": "cmprod001",
"quantity": 1,
"discount": 10,
"discountType": "PERCENTAGE",
"totalPrice": 1350.0,
"createdAt": "2026-08-10T20:29:21.400Z",
"AccountProduct": {
"id": "cmprod001",
"name": "Plano Anual Consultoria",
"price": 1500.0,
"description": "Consultoria continuada para vendas"
}
}
]
}
{
"error": "Account CRM pipeline deal not found"
}
{
"error": "Error to get account CRM pipeline deal"
}
Authorizations
Token de autenticacao gerado na plataforma WavUps CRM.
Path Parameters
Identificador único do recurso.
Response
Negócio encontrado.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

